



<!DOCTYPE html>
<html lang="en">
  
  <head>
    
      <meta charset="utf-8">
      <title>Bokeh Plot</title>
      
      
        
          
        
        
          
        <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-2.1.1.min.js" integrity="sha384-kLr4fYcqcSpbuI95brIH3vnnYCquzzSxHPU6XGQCIkQRGJwhg0StNbj1eegrHs12" crossorigin="anonymous"></script>
        <script type="text/javascript">
            Bokeh.set_log_level("info");
        </script>
        
      
      
    
  </head>
  
  
  <body>
    
      
        
          
          
            
              <div class="bk-root" id="12af318a-9a4b-487f-8e0a-abaa37684071" data-root-id="1140"></div>
            
          
        
      
      
        <script type="application/json" id="1275">
          {"72110e24-f55b-45fa-8e6f-bc9a45b918b9":{"roots":{"references":[{"attributes":{},"id":"1162","type":"ResetTool"},{"attributes":{"source":{"id":"1139"}},"id":"1176","type":"CDSView"},{"attributes":{"axis":{"id":"1151"},"grid_line_color":null,"ticker":null},"id":"1153","type":"Grid"},{"attributes":{},"id":"1147","type":"CategoricalScale"},{"attributes":{},"id":"1183","type":"CategoricalTickFormatter"},{"attributes":{},"id":"1185","type":"Selection"},{"attributes":{"callback":null,"tooltips":[["Name","@name"],["Occurences","@occurence"]]},"id":"1177","type":"HoverTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"occurence"},"width":{"value":0.9},"x":{"field":"name"}},"id":"1173","type":"VBar"},{"attributes":{},"id":"1152","type":"CategoricalTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_multi":null,"active_scroll":"auto","active_tap":"auto","tools":[{"id":"1158"},{"id":"1159"},{"id":"1160"},{"id":"1161"},{"id":"1162"},{"id":"1163"},{"id":"1177"}]},"id":"1165","type":"Toolbar"},{"attributes":{},"id":"1186","type":"UnionRenderers"},{"attributes":{},"id":"1159","type":"WheelZoomTool"},{"attributes":{"axis_label":"occurences","formatter":{"id":"1181"},"ticker":{"id":"1155"}},"id":"1154","type":"LinearAxis"},{"attributes":{"start":0},"id":"1145","type":"DataRange1d"},{"attributes":{"axis":{"id":"1154"},"dimension":1,"ticker":null},"id":"1157","type":"Grid"},{"attributes":{"below":[{"id":"1151"}],"center":[{"id":"1153"},{"id":"1157"}],"left":[{"id":"1154"}],"renderers":[{"id":"1175"}],"sizing_mode":"stretch_width","title":{"id":"1141"},"toolbar":{"id":"1165"},"toolbar_location":"above","x_range":{"id":"1143"},"x_scale":{"id":"1147"},"y_range":{"id":"1145"},"y_scale":{"id":"1149"}},"id":"1140","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1181","type":"BasicTickFormatter"},{"attributes":{},"id":"1161","type":"SaveTool"},{"attributes":{},"id":"1149","type":"LinearScale"},{"attributes":{},"id":"1163","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":0.5,"fill_color":"lightgrey","left_units":"screen","level":"overlay","line_alpha":1.0,"line_color":"black","line_dash":[4,4],"line_width":2,"right_units":"screen","top_units":"screen"},"id":"1164","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"1139"},"glyph":{"id":"1173"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1174"},"selection_glyph":null,"view":{"id":"1176"}},"id":"1175","type":"GlyphRenderer"},{"attributes":{"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39],"name":["DEPT","GR","RHOB","DEPTH","NPHI","CALI","SP","DT","LLD","TIME","LLS","TVD","DRHO","MSFL","TENS","GRC","PQSG2","PQQP2","PQPTV2","PQ2TV","PQHP2","PQQT2","PQDVP2","PQPTRA2","PQ2TR","PQQT1","PQHP1","PQSG1","PQFR1","PQQP1","SROP","PQPTV1","PTRA","RT","RXO","PHIE","DTCO","LLG","PQRDVP1","DGXT"],"occurence":[321,173,107,98,91,88,88,81,69,69,69,64,63,58,44,35,33,33,33,33,33,33,33,33,33,32,32,32,32,32,31,30,30,30,27,26,26,26,26,26]},"selected":{"id":"1185"},"selection_policy":{"id":"1186"}},"id":"1139","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"occurence"},"width":{"value":0.9},"x":{"field":"name"}},"id":"1174","type":"VBar"},{"attributes":{"factors":["DEPT","GR","RHOB","DEPTH","NPHI","CALI","SP","DT","LLD","TIME","LLS","TVD","DRHO","MSFL","TENS","GRC","PQSG2","PQQP2","PQPTV2","PQ2TV","PQHP2","PQQT2","PQDVP2","PQPTRA2","PQ2TR","PQQT1","PQHP1","PQSG1","PQFR1","PQQP1","SROP","PQPTV1","PTRA","RT","RXO","PHIE","DTCO","LLG","PQRDVP1","DGXT"]},"id":"1143","type":"FactorRange"},{"attributes":{"text":"Histogramme des occurences"},"id":"1141","type":"Title"},{"attributes":{},"id":"1155","type":"BasicTicker"},{"attributes":{"axis_label":"courbe","formatter":{"id":"1183"},"major_label_orientation":45,"ticker":{"id":"1152"}},"id":"1151","type":"CategoricalAxis"},{"attributes":{},"id":"1158","type":"PanTool"},{"attributes":{"overlay":{"id":"1164"}},"id":"1160","type":"BoxZoomTool"}],"root_ids":["1140"]},"title":"Bokeh Application","version":"2.1.1"}}
        </script>
        <script type="text/javascript">
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    
                  var docs_json = document.getElementById('1275').textContent;
                  var render_items = [{"docid":"72110e24-f55b-45fa-8e6f-bc9a45b918b9","root_ids":["1140"],"roots":{"1140":"12af318a-9a4b-487f-8e0a-abaa37684071"}}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        </script>
    
  </body>
  
</html>